package net.csn.dr2d.wscp;

import java.util.ArrayList;

import javax.json.Json;
import javax.json.JsonArray;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;

public class CnslPlayerArgs_QuestAchieved {
	
	/**
	 * Liste l'identifiant court des mécanoïds ayant terminé leur quête.
	 * @readonly
	 */
	public final ArrayList<String> questAchieved;
	
	/**
	 * 
	 * @param argsIn	{"completed":["\"01\"","\"02\""]}
	 * @param argsRef	null
	 */
	public CnslPlayerArgs_QuestAchieved(final JsonObject argsIn, final JsonObject argsRef){
		questAchieved = new ArrayList<String>(8);
		final JsonArray completed = argsIn.getJsonArray("completed");
		
		for(int c=0; c<completed.size(); ++c){
			questAchieved.add(completed.getString(c));
		}
	}
	
	public JsonObject toJsonObject(){
		JsonObjectBuilder job = Json.createObjectBuilder();
		return job.build();
	}
}
