package net.csn.dr2d.wscp;

import javax.json.Json;
import javax.json.JsonArrayBuilder;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;

import net.csn.dr2d.Cartouche;
import net.csn.dr2d.Movement;

public class CnslPlayerArgs_RoundRequireCartouche {
	
	public Cartouche cartouche;
	
	/**
	 * 
	 * @param argsIn	null
	 * @param argsRef	{"cartouche":[]} (always empty)
	 */
	public CnslPlayerArgs_RoundRequireCartouche(final JsonObject argsIn, final JsonObject argsRef){
		cartouche = new Cartouche();
	}
	
	public JsonObject toJsonObject(){
		//{ "cartouche": [["0x245A, Move_90Right", "0x2100, Move_Ahead"], ["0x245C, Move_90Left", "0x2100, Move_Ahead"], ...  ]}    
		JsonArrayBuilder jab = Json.createArrayBuilder();
		for(Movement m : cartouche){
			jab.add(Movement.toJsonArray(m));
//			JsonArrayBuilder jabMov = Json.createArrayBuilder();
//			for(AnRType a : m){ jabMov.add(a.toHexString()); } // only hexa is needed ...
//			jab.add(jabMov);
		}
		JsonObjectBuilder job = Json.createObjectBuilder().add("cartouche", jab);
		return job.build();		
	}
}
