package net.csn.dr2d.wscp;

import java.util.Hashtable;

import javax.json.Json;
import javax.json.JsonArray;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;

import net.csn.dr2d.Competitor;

public class CnslPlayerArgs_RoundStatusOfCompetitors {
	
	public final Hashtable<String, Competitor> competitors;
	
	/**
	 * 
	 * @param argsIn	{"competitors":[{"mcndId":"01","mcndLocX":2,"mcndLocY":1,"azimuth":"West","energy":7},{"mcndId":"02","mcndLocX":7,"mcndLocY":4,"azimuth":"East","energy":7}]}
	 * @param argsRef	null
	 */
	public CnslPlayerArgs_RoundStatusOfCompetitors(final JsonObject argsIn, final JsonObject argsRef){
		competitors = new Hashtable<String, Competitor>(8);
		final JsonArray cmpttrs = argsIn.getJsonArray("competitors");
		for(int c=0; c<cmpttrs.size(); ++c){
			Competitor player = new Competitor(cmpttrs.getJsonObject(c));
			competitors.put(player.shortId, player);
		}
	}
	
	public JsonObject toJsonObject(){
		JsonObjectBuilder job = Json.createObjectBuilder();
		return job.build();
	}
}
